// 夏柔定制，部分代码注释
// 教程地址：https://www.wpon.cn/19581.html
CSF::createSection( $prefix, array(
        'parent' => 'SAO',
        'title'  => '赠送设置',
        'icon'   => 'fas fa-certificate',
        'fields' => array(
            array(
                'id'     => 'register_gift',
                'title'  => '注册送会员',
                'type'   => 'fieldset',
                'fields' => array(
                    array(
                        'id'      => 'is_register_gift',
                        'type'    => 'switcher',
                        'title'   => '开关',
                        'default' => false,
                    ),
                    array(
                        'id'         => '_day',
                        'type'       => 'text',
                        'title'      => '赠送时长(天)',
                        'inline'     => true,
                        'default'    => '30',
                        'dependency' => array( 'is_register_gift', '==', 'true' ),
                    ),
                ),
            ),
            array(
            'id'         => 'extension_register',
            'type'       => 'group',
            'title'      => '推广注册送会员',
            'fields'     => array(
                array(
                    'id'      => 'vip_people',
                    'type'    => 'text',
                    'title'   => '推广人数',
                    'default' => '推广多少人数',
                ),
                //  array(
                //         'id'         => 'vip_level',
                //         'type'       => 'radio',
                //         'title'      => '会员等级',
                //         'inline'     => true,
                //         'options'    => array(
                //             'vip'   => $vip_name["vip"],
                //         ),
                //         'default'    => 'vip',
                //     ),
                array(
                    'id'       => 'vip_day',
                    'type'     => 'text',
                    'title'    => 'VIP天数',
                    'default'  => '赠送的VIP天数',
                ),
            ),
            
        ),
          
        ),
    ) );
    CSF::createSection( $prefix, array(
        'id'       => 'SAO',
        'title'    => 'SAO赠送会员',
        'icon'     => 'fa fa-home',
        'priority' => 100
    ) );